#### STRING

#### Synopsis

    HELP:   Use string format for the length field
    TYPE:   OBJECT
    SYNTAX: STRING(CHRSET=SYSTEM/ASCII/EBCDIC/LOCAL,COUNT=num/C04/C05/C06,BASE=num/DEC/B10,INCLUDE)

#### Description

The object defines the binary representation of the length field in string format (a character per digit). You can define the character set, the character count, the base and if the length field will be part of the length value or not.

#### Arguments

- `NUMBER: CHRSET=SYSTEM/ASCII/EBCDIC/LOCAL - Character set [SYSTEM]`
  - `SYSTEM - Use default system code page`
  - `ASCII - Use ASCII (UTF-8) code page`
  - `EBCDIC - Use EBCDIC code page`
  - `LOCAL - Use real local code page`
- `NUMBER: COUNT=num/C04/C05/C06 - Character count [C06]`
  - `C04 - 4 character/digits`
  - `C05 - 5 character/digits`
  - `C06 - 6 character/digits`
- `NUMBER: BASE=num/DEC/B10 - String base [B10]`
  - `DEC - Decimal base (10)`
  - `B10 - Base 10 (decimal)`
- `SWITCH: INCLUDE - Include length field in length value [OFF]`